ServiceStatistics (Mule ESB 2.2.1 API)
Keywords: org.mule.management.stats.ServiceStatistics class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.management.stats
Class ServiceStatistics

    java.lang.Object
      org.mule.management.stats.ServiceStatistics

All Implemented Interfaces:
  Serializable, Statistics

Direct Known Subclasses:
  SedaServiceStatistics

    public class ServiceStatistics

extends Object
implements Statistics

See Also:
  Serialized Form

Constructor Summary
`ServiceStatistics(String name)`
`ServiceStatistics(String name, int threadPoolSize)` The constructor

Method Summary
`void` | `clear()`
`void` | `decQueuedEvent()`
`long` | `getAsyncEventsReceived()`
`long` | `getAsyncEventsSent()`
`long` | `getAverageExecutionTime()`
`long` | `getAverageQueueSize()`
`ComponentStatistics` | `getComponentStat()`
`long` | `getExecutedEvents()`
`long` | `getExecutionErrors()`
`long` | `getFatalErrors()`
`RouterStatistics` | `getInboundRouterStat()`
`long` | `getMaxExecutionTime()` Deprecated.
`long` | `getMaxQueueSize()`
`long` | `getMinExecutionTime()` Deprecated.
`String` | `getName()`
`RouterStatistics` | `getOutboundRouterStat()`
`long` | `getQueuedEvents()`
`long` | `getReplyToEventsSent()`
`long` | `getSamplePeriod()`
`long` | `getSyncEventsReceived()`
`long` | `getSyncEventsSent()`
`int` | `getThreadPoolSize()`
`long` | `getTotalEventsReceived()`
`long` | `getTotalEventsSent()`
`long` | `getTotalExecutionTime()` Deprecated.
`void` | `incExecutionError()`
`void` | `incFatalError()`
`void` | `incQueuedEvent()`
`void` | `incReceivedEventASync()`
`void` | `incReceivedEventSync()`
`void` | `incSentEventASync()`
`void` | `incSentEventSync()`
`void` | `incSentReplyToEvent()`
`boolean` | `isEnabled()` Are statistics logged
`void` | `logSummary()` log in info level the main statistics
`void` | `logSummary(PrintWriter printer)`
`void` | `setComponentStat(ComponentStatistics componentStat)`
`void` | `setEnabled(boolean b)` Enable statistics logs (this is a dynamic parameter)
`void` | `setInboundRouterStat(RouterStatistics inboundRouterStat)`
`void` | `setName(String name)`
`void` | `setOutboundRouterStat(RouterStatistics outboundRouterStat)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceStatistics

    public ServiceStatistics(String name)

### ServiceStatistics

    public ServiceStatistics(String name,
                             int threadPoolSize)

  The constructor

  Parameters:
    `name` -

Method Detail

### isEnabled

    public boolean isEnabled()

  Are statistics logged

  Specified by:
    `isEnabled` in interface `Statistics`

### setEnabled

    public void setEnabled(boolean b)

  Enable statistics logs (this is a dynamic parameter)

  Specified by:
    `setEnabled` in interface `Statistics`

### incReceivedEventSync

    public void incReceivedEventSync()

### incReceivedEventASync

    public void incReceivedEventASync()

### incExecutionError

    public void incExecutionError()

### incFatalError

    public void incFatalError()

### incSentEventSync

    public void incSentEventSync()

### incSentEventASync

    public void incSentEventASync()

### incSentReplyToEvent

    public void incSentReplyToEvent()

### incQueuedEvent

    public void incQueuedEvent()

### decQueuedEvent

    public void decQueuedEvent()

### getAverageExecutionTime

    public long getAverageExecutionTime()

### getAverageQueueSize

    public long getAverageQueueSize()

### getMaxQueueSize

    public long getMaxQueueSize()

### getMaxExecutionTime

    public long getMaxExecutionTime()

  Deprecated.

  Returns:

### getFatalErrors

    public long getFatalErrors()

### getMinExecutionTime

    public long getMinExecutionTime()

  Deprecated.

  Returns:

### getTotalExecutionTime

    public long getTotalExecutionTime()

  Deprecated.

  Returns:

### getQueuedEvents

    public long getQueuedEvents()

### getAsyncEventsReceived

    public long getAsyncEventsReceived()

### getSyncEventsReceived

    public long getSyncEventsReceived()

### getReplyToEventsSent

    public long getReplyToEventsSent()

### getSyncEventsSent

    public long getSyncEventsSent()

### getAsyncEventsSent

    public long getAsyncEventsSent()

### getTotalEventsSent

    public long getTotalEventsSent()

### getTotalEventsReceived

    public long getTotalEventsReceived()

### getExecutedEvents

    public long getExecutedEvents()

### getExecutionErrors

    public long getExecutionErrors()

### getName

    public String getName()

### setName

    public void setName(String name)

### logSummary

    public void logSummary()

  log in info level the main statistics

  Specified by:
    `logSummary` in interface `Statistics`

### logSummary

    public void logSummary(PrintWriter printer)

### clear

    public void clear()

  Specified by:
    `clear` in interface `Statistics`

### getInboundRouterStat

    public RouterStatistics getInboundRouterStat()

  Returns:
    Returns the inboundRouterStat.

### setInboundRouterStat

    public void setInboundRouterStat(RouterStatistics inboundRouterStat)

  Parameters:
    `inboundRouterStat` - The inboundRouterStat to set.

### getOutboundRouterStat

    public RouterStatistics getOutboundRouterStat()

  Returns:
    Returns the outboundRouterStat.

### setOutboundRouterStat

    public void setOutboundRouterStat(RouterStatistics outboundRouterStat)

  Parameters:
    `outboundRouterStat` - The outboundRouterStat to set.

### getComponentStat

    public ComponentStatistics getComponentStat()

  Returns:
    Returns the outboundRouterStat.

### setComponentStat

    public void setComponentStat(ComponentStatistics componentStat)

  Parameters:
    `outboundRouterStat` - The outboundRouterStat to set.

### getThreadPoolSize

    public int getThreadPoolSize()

### getSamplePeriod

    public long getSamplePeriod()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.